Bug 167752 - Cube effect window switching and pager layout do not correspond
Summary: Cube effect window switching and pager layout do not correspond
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Martin Flöser
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-30 17:15 UTC by Justace Clutter
Modified: 2009-02-06 10:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justace Clutter 2008-07-30 17:15:48 UTC
Version:           SVN as of July 27 2008 (using Devel)
Installed from:    Compiled sources
Compiler:          GCC 4.3.1 
OS:                Linux

In my pager I have 6 desktops, three on top and three on bottom.  I think that the cube should reflect this.  Currently the cube has six sides all on one level.  When I switch from my current desktop to the left or the right things work as I would expect.  When switching down one desktop the cube rotates to the left or the right.  I feel that the cube should take the form of a two level triangle in my case and the rotations should match what I do in the pager.

It is just unintuitive to switch to the desktop below the current one and the screen rotates to the right
Comment 1 Martin Flöser 2008-07-30 18:01:37 UTC
Cube is not aware of the pager widget at the moment. For normal mode (ctrl+f11) it would not make any sense to change the behaviour.

For case of desktop changing via pager or ctrl+f(1-3) or active borders it might make sense to respect the pager settings. But in case of just down or just up there would be no difference to desktop grid.

It would probably cause lot's of changes to cube and I'm not sure if it is worth the effort as desktop grid effect handles it quite well. Nevertheless I'll take a look at it.
Comment 2 Justace Clutter 2008-07-30 18:04:29 UTC
You are probably right.  It might be a complicated change and not worth it.
Fast response....

Justace

On Wed, Jul 30, 2008 at 11:01 AM, Martin Gr
Comment 3 Martin Flöser 2009-02-06 10:32:17 UTC
SVN commit 922028 by graesslin:

Cube uses the pager layout to animate desktop switching (not the cube mode). This requires some more work including an option to use the old way (ignoring pager layout).
FEATURE: 167752


 M  +185 -52   cube.cpp  
 M  +3 -0      cube.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922028